package environment.event;

import java.rmi.Remote;
import java.rmi.RemoteException;

/** 
 * Listener interface to register for FehlerEvents. The
 * class that implements the FehlerListener interface must
 * provide an implementation for the errorDetected() method.
 * 
 * @author Andreas Metzger
 * @version 1.01
 */

public interface FehlerListener extends Remote {
    
	/** This method is invoked by the source object of the DetektorEvent
	 * if such an event occurs.
	 * @param e The event that lead to invoking this method.
	 * @throws All RMI objects throw this exception.
	 */
	public void errorDetected(FehlerEvent e) throws RemoteException;
}
